Bug 1249553 - Datasource: Statement Cache Size, Min Pool Size, Max Pool Size should not be required fields
Datasource: Statement Cache Size, Min Pool Size, Max Pool Size should not be ...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Console (Show other bugs)
6.4.3
Unspecified Unspecified
unspecified Severity high
: CR1
: EAP 6.4.4
Assigned To: Tomas Hofman
Pavel Jelinek
: Regression
Depends On:
Blocks: 1235744 1247280
  Show dependency treegraph
 
Reported: 2015-08-03 05:56 EDT by Pavel Jelinek
Modified: 2017-01-17 05:51 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker HAL-780 Major Resolved Datasource: Statement Cache Size, Min Pool Size, Max Pool Size should not be required fields 2017-01-16 06:23 EST

  None (edit)
Description Pavel Jelinek 2015-08-03 05:56:22 EDT
How reproducible:
always

Steps to Reproduce:
1. start EAP
2. in web console go to Configuration -> Connector -> Datasources
3. In DATASOURCES tab select let's say ExampleDS
4. In attributes tab click edit
5. ensure Statement Cache Size is empty, change some field, let's say 'Statistics enabled?:' and hit save

Actual results:
not saved, Invalid numeric value warning under 'Statement Cache Size' field

Expected results:
successfully saved, no warning
Comment 2 Radim Hatlapatka 2015-08-03 06:52:51 EDT
The customer now needs to specify additional values due console requiring them even though these values are not required to be specified by the management model.
Comment 4 JBoss JIRA Server 2015-08-04 08:50:13 EDT
Tomas Hofman <thofman@redhat.com> updated the status of jira HAL-780 to Resolved
Comment 5 Tomas Hofman 2015-08-04 08:56:54 EDT
PR: https://github.com/hal/core/pull/54
Comment 7 Jan Kasik 2015-09-24 04:48:34 EDT
Verified for 6.4.4.CP.CR3.
Comment 8 Petr Penicka 2017-01-17 05:51:32 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.
Comment 9 Petr Penicka 2017-01-17 05:51:42 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.

Note You need to log in before you can comment on or make changes to this bug.